// mmu.h
#pragma once
#include <stdint.h>

typedef void pagedir_t;
void* pagedir_create();
void map_page(void* pagedir, void* vaddr, void* paddr, int flags);

#define MMU_FLAG_RW   (1 << 10)  // writable
#define MMU_FLAG_USER (1 << 6)   // user-accessible
